diff --git Makefile.inc Makefile.inc
index 1898c03..c7bceef 100644
--- Makefile.inc
+++ Makefile.inc
@@ -40,9 +40,9 @@
 #          Metis/ParMetis and SCOTCH/PT-SCOTCH (ver 6.0 and later) orderings are recommended.
 #
 
-#SCOTCHDIR  = ${HOME}/scotch_6.0
-#ISCOTCH    = -I$(SCOTCHDIR)/include
-#
+SCOTCHDIR  = $(PREFIX)
+ISCOTCH    = -I$(SCOTCHDIR)/include
+
 # You have to choose one among the following two lines depending on
 # the type of analysis you want to perform. If you want to perform only
 # sequential analysis choose the first (remember to add -Dscotch in the ORDERINGSF
@@ -50,15 +50,15 @@
 # line (remember to add -Dptscotch in the ORDERINGSF variable below)
 
 #LSCOTCH    = -L$(SCOTCHDIR)/lib -lesmumps -lscotch -lscotcherr
-#LSCOTCH    = -L$(SCOTCHDIR)/lib -lptesmumps -lptscotch -lptscotcherr
+LSCOTCH    = -L$(SCOTCHDIR)/lib -lptesmumps -lptscotch -lptscotcherr -lscotch
 
 
 LPORDDIR = $(topdir)/PORD/lib/
 IPORD    = -I$(topdir)/PORD/include/
 LPORD    = -L$(LPORDDIR) -lpord$(PLAT)
 
-#LMETISDIR = /opt/metis-5.1.0/build/Linux-x86_64/libmetis
-#IMETIS    = /opt/metis-5.1.0/include
+LMETISDIR = $(PREFIX)/lib
+IMETIS    = -I$(PREFIX)include
 
 # You have to choose one among the following two lines depending on
 # the type of analysis you want to perform. If you want to perform only
@@ -67,14 +67,14 @@ LPORD    = -L$(LPORDDIR) -lpord
 # line (remember to add -Dparmetis in the ORDERINGSF variable below)
 
 #LMETIS    = -L$(LMETISDIR) -lmetis
-#LMETIS    = -L$(LMETISDIR) -lparmetis -lmetis
+LMETIS    = -L$(LMETISDIR) -lparmetis -lmetis
 
 # The following variables will be used in the compilation process.
 # Please note that -Dptscotch and -Dparmetis imply -Dscotch and -Dmetis respectively.
 # If you want to use Metis 4.X or an older version, you should use -Dmetis4 instead of -Dmetis
 # or in addition with -Dparmetis (if you are using parmetis 3.X or older).
-#ORDERINGSF = -Dscotch -Dmetis -Dpord -Dptscotch -Dparmetis
-ORDERINGSF  = -Dpord
+ORDERINGSF = -Dscotch -Dmetis -Dpord -Dptscotch -Dparmetis
+# ORDERINGSF  = -Dpord
 ORDERINGSC  = $(ORDERINGSF)
 
 LORDERINGS = $(LMETIS) $(LPORD) $(LSCOTCH)
@@ -97,31 +97,31 @@ OUTF    = -o
 # RM : remove files
 RM      = /bin/rm -f
 # CC : C compiler
-CC      = cc
+CC      = $(CC)
 # FC : Fortran 90 compiler
-FC      = f90
+FC      = $(FC)
 # FL : Fortran linker
-FL      = f90
+FL      = $(FC)
 # AR : Archive object in a library
 #      keep a space at the end if options have to be separated from lib name
-AR      = ar vr 
+AR      = ar cr 
 # RANLIB : generate index of an archive file
 #   (optionnal use "RANLIB = echo" in case of problem)
-RANLIB  = ranlib
+RANLIB  = ranlib -c
 #RANLIB  = echo
 
 # DEFINE HERE YOUR LAPACK LIBRARY
 
-LAPACK = -llapack
+LAPACK =
 
 # SCALAP should define the SCALAPACK and  BLACS libraries.
-SCALAP  = -lscalapack -lblacs
+SCALAP  = -lscalapack $(MACPORTS_BLAS) -L$(PREFIX)/lib
 
 # INCLUDE DIRECTORY FOR MPI
-INCPAR  = -I/usr/include
+INCPAR  =
 
 # LIBRARIES USED BY THE PARALLEL VERSION OF MUMPS: $(SCALAP) and MPI
-LIBPAR  = $(SCALAP) $(LAPACK) -L/usr/lib -lmpi
+LIBPAR  = $(SCALAP) $(LAPACK)
 
 # The parallel version is not concerned by the next two lines.
 # They are related to the sequential library provided by MUMPS,
@@ -131,7 +131,7 @@ LIBSEQ  = $(LAPACK) -L$(topdir)/libseq -lmpiseq
 
 # DEFINE HERE YOUR BLAS LIBRARY
 
-LIBBLAS = -lblas
+LIBBLAS = $(MACPORTS_BLAS)
 
 # DEFINE HERE YOUR PTHREAD LIBRARY
 LIBOTHERS = -lpthread
@@ -150,9 +150,9 @@ LIBOTHERS = -lpthread
 CDEFS = -DAdd_
 
 #COMPILER OPTIONS
-OPTF    = -O
-OPTC    = -O -I.
-OPTL    = -O
+OPTF    = $(CPPFLAGS) $(FFLAGS)
+OPTC    = -I. $(CPPFLAGS) $(CFLAGS)
+OPTL    = $(LDFLAGS)
 
 # CHOOSE BETWEEN USING THE SEQUENTIAL OR THE PARALLEL VERSION.
 
